Page MenuHomePhabricator

On some queries, graph display is unstable and does not converge to a stable state
Closed, ResolvedPublic

Description

With this query:

#defaultView:Graph
select ?author1 ?author1Label ?image ?author2 where {
  ?item wdt:P31 wd:Q13442814 .
{ ?item wdt:P921 wd:Q202864 . } UNION { ?item wdt:P921 wd:Q8071861 . }
  ?item wdt:P50 ?author1 ;
        wdt:P50 ?author2 .
  optional { ?author1 wdt:P18 ?image . }
  filter not exists { filter (?author1 = ?author2) }
  SERVICE wikibase:label { bd:serviceParam wikibase:language "en" . }
}

When displaying the graph, part of it does not stabilize but keeps jiggling around forever.

Event Timeline

Restricted Application added projects: Wikidata, Discovery. · View Herald TranscriptSep 24 2016, 12:01 AM
Restricted Application added a subscriber: Aklapper. · View Herald Transcript
Smalyshev triaged this task as Normal priority.Sep 24 2016, 12:01 AM
Smalyshev moved this task from All WDQS-related tasks to External on the Wikidata-Query-Service board.
Lydia_Pintscher lowered the priority of this task from Normal to Lowest.Dec 16 2016, 9:59 AM
Lydia_Pintscher moved this task from incoming to ready to go on the Wikidata board.
Restricted Application added a subscriber: PokestarFan. · View Herald TranscriptJul 26 2017, 10:56 AM

Change 372527 had a related patch set uploaded (by Jonas Kress (WMDE); owner: Jonas Kress (WMDE)):
[wikidata/query/gui@master] Fix: Graph display is unstable and does not converge to a stable state

https://gerrit.wikimedia.org/r/372527

Jonas moved this task from Backlog to Doing on the Wikidata Query UI board.

Change 372527 merged by jenkins-bot:
[wikidata/query/gui@master] Fix: Graph display is unstable and does not converge to a stable state

https://gerrit.wikimedia.org/r/372527

Change 372567 had a related patch set uploaded (by Smalyshev; owner: Smalyshev):
[wikidata/query/gui-deploy@production] Merging from c390c561c665f3ed583c374efd85e23946c0edd8:

https://gerrit.wikimedia.org/r/372567

Change 372567 merged by Smalyshev:
[wikidata/query/gui-deploy@production] Merging from c390c561c665f3ed583c374efd85e23946c0edd8:

https://gerrit.wikimedia.org/r/372567

Jonas moved this task from Doing to Done on the Wikidata Query UI board.Aug 20 2017, 7:39 PM
Jonas closed this task as Resolved.Aug 31 2017, 7:58 AM

I can confirm that the quite wobblying graphs that I previously experienced with Scholia are now all gone.